import type { Configuration, WebpackOptionsNormalized } from 'webpack';
export type WebpackConfig = Configuration & Pick<WebpackOptionsNormalized, 'devServer'>;
export type WebpackCLIArgs = {
    entry: string | string[] | Record<string, string>;
    configName?: string | string[];
    name?: string;
    color?: boolean;
    merge?: boolean;
    env: typeof process.env & {
        WEBPACK_BUNDLE?: true;
        WEBPACK_BUILD?: true;
        WEBPACK_SERVE?: true;
    };
    nodeEnv: string;
    progress?: boolean | string;
    outputPath: string;
    target?: string | string[];
    watch?: boolean;
    watchOptionsStdin?: boolean;
    hot?: boolean;
    devtool?: string | false;
    prefetch?: boolean;
    json?: boolean | string;
    mode: WebpackConfig['mode'];
    stats?: boolean | string;
    analyze?: boolean;
};
type CompassConfigArgs = {
    outputFilename?: string;
    mainProcessLiveReload: boolean;
    devServerPort: number;
    cwd: string;
    coverage?: string;
};
export type ConfigArgs = WebpackCLIArgs & CompassConfigArgs;
export declare function isServe(args: WebpackCLIArgs): boolean;
export declare function webpackArgsWithDefaults(args: Partial<ConfigArgs>, ...more: Partial<ConfigArgs>[]): ConfigArgs;
export {};
//# sourceMappingURL=args.d.ts.map